Bug 506558 - spacewalk-koan package not present in various rhn-tools channels
spacewalk-koan package not present in various rhn-tools channels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Dennis Gilmore
Miroslav Suchý
:
Depends On:
Blocks: 457075 486216
  Show dependency treegraph
 
Reported: 2009-06-17 14:27 EDT by Steve Salevan
Modified: 2009-09-10 14:16 EDT (History)
6 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-06-17 14:27:00 EDT
Description of problem:
The spacewalk-koan package is not present in the following RHN Hosted channels, as far as I know:

rhn-tools-rhel-i386-client-5
rhn-tools-rhel-x86_64-client-5
rhn-tools-rhel-3-desktop-i386
rhn-tools-rhel-4-desktop-i386
rhn-tools-rhel-3-desktop-x86_64
rhn-tools-rhel-4-desktop-x86_64
rhn-tools-rhel-3-es-i386
rhn-tools-rhel-3-es-x86_64
rhn-tools-rhel-3-es-ia64
rhn-tools-rhel-4-es-i386
rhn-tools-rhel-4-es-ia64
rhn-tools-rhel-4-es-x86_64
rhn-tools-rhel-3-ws-i386
rhn-tools-rhel-3-ws-ia64
rhn-tools-rhel-3-ws-x86_64
rhn-tools-rhel-4-ws-i386
rhn-tools-rhel-4-ws-ia64
rhn-tools-rhel-4-ws-x86_64

Version-Release number of selected component (if applicable):
530, 6/12 build (though this shouldn't matter)

How reproducible:
Always

Steps to Reproduce:
1. Login to RHN Hosted
2. Peer into the above channels

Actual results:
spacewalk-koan package is not present

Expected results:
spacewalk-koan package is present

Additional info:
Comment 2 Steve Salevan 2009-06-18 14:15:25 EDT
Additional channels where this package is not present:

rhn-tools-rhel-2.1-as-i386
rhn-tools-rhel-2.1-es-i386
rhn-tools-rhel-2.1-ws-i386
Comment 3 Steve Salevan 2009-06-18 14:19:40 EDT
These too:

rhn-tools-rhel-2.1-as-ia64
rhn-tools-rhel-2.1-aw-ia64
Comment 5 Dennis Gilmore 2009-06-22 20:56:26 EDT
found a bug in the new push script.  it has been corrected and tools repushed all the ia64 channels are there now.

rhel5 ia64 was missing also
Comment 6 Brad Buckingham 2009-06-23 09:43:59 EDT
moving to ON_QA
Comment 7 Miroslav Suchý 2009-06-29 10:50:16 EDT
Package spacewalk-koan-0.1.11-9.el4sat.noarch.rpm  is presented in:
Red Hat Network Tools for RH Desktop (v.4 for AMD64?Intel EM64T)
Red Hat Network Tools for RH Desktop (v.4 for x86)
Red Hat Network Tools for RHEL AS (v. 4 for 31-bit IBM S/390)
Red Hat Network Tools for RHEL AS (v. 4 for 64-bit IBM POWER)
Red Hat Network Tools for RHEL AS (v. 4 for 64-bit IBM zSeries)
Red Hat Network Tools for RHEL AS (v.4 for AMD64/Intel EM64T)
Red Hat Network Tools for RHEL AS (v.4 for Itanium)
Red Hat Network Tools for RHEL AS (v.4 for x86)
Red Hat Network Tools for RHEL ES (v.4 for AMD64/Intel EM64T)
Red Hat Network Tools for RHEL ES (v.4 for Itanium)
Red Hat Network Tools for RHEL ES (v.4 for x86)
Red Hat Network Tools for RHEL WS (v.4 for AMD64/Intel EM64T)
Red Hat Network Tools for RHEL WS (v.4 for Itanium)
Red Hat Network Tools for RHEL WS (v.4 for x86)

spacewalk-koan-0.1.11-9.el5sat.noarch.rpm is presented in:
Red Hat Network Tools for RHEL (v. 5 64-bit IBM System z)
Red Hat Network Tools for RHEL (v. 5 for 64-bit IBM POWER)
Red Hat Network Tools for RHEL Client (v.5 32-bit x86)
Red Hat Network Tools for RHEL Client (v.5 64-bit x86_64)
Red Hat Network Tools for RHEL Server (v.5 32-bit x86)
Red Hat Network Tools for RHEL Server (v.5 64-bit Itanium)
Red Hat Network Tools for RHEL Server (v.5 64-bit x86_64)

spacewalk-koan-0.1.11-9.el3sat.noarch.rpm is presented in:
Red Hat Network Tools for RH Desktop 3 (i386)
Red Hat Network Tools for RH Desktop 3 (x86_64)
Red Hat Network Tools for RHEL 3 AS (i386)
Red Hat Network Tools for RHEL 3 AS (ia64)
Red Hat Network Tools for RHEL 3 AS (x86_64)
Red Hat Network Tools for RHEL 3 ES (i386)
Red Hat Network Tools for RHEL 3 ES (ia64)
Red Hat Network Tools for RHEL 3 ES (x86_64)
Red Hat Network Tools for RHEL 3 WS (i386)
Red Hat Network Tools for RHEL 3 WS (ia64)
Red Hat Network Tools for RHEL 3 WS (x86_64)
Red Hat Network Tools for RHEL AS (v. 3 for iSeries and pSeries)
Red Hat Network Tools for RHEL AS (v. 3 for S/390)
Red Hat Network Tools for RHEL AS (v. 3 for zSeries)

Package spacewalk-koan-0.1.11-9.noarch.rpm is presented in:
Red Hat Network Tools for RHEL 2.1 AS (i386)
Red Hat Network Tools for RHEL 2.1 AS (ia64)
Red Hat Network Tools for RHEL 2.1 AW (ia64)
Red Hat Network Tools for RHEL 2.1 ES (i386)
Red Hat Network Tools for RHEL 2.1 WS (i386)

Additionally:
$ ls -l /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-*-re20090625.0/*/*/RHNTools/spacewalk-koan*
-rw-r--r--  13 apache apache 17279 Jun 20 06:16 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL2.1-re20090625.0/i386/i386-global/RHNTools/spacewalk-koan-0.1.11-9.noarch.rpm
-rw-r--r--  13 apache apache 17279 Jun 20 06:16 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL2.1-re20090625.0/i386/i386/RHNTools/spacewalk-koan-0.1.11-9.noarch.rpm
-rw-r--r--  13 apache apache 17279 Jun 20 06:16 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL2.1-re20090625.0/ia64/ia64-global/RHNTools/spacewalk-koan-0.1.11-9.noarch.rpm
-rw-r--r--  13 apache apache 17279 Jun 20 06:16 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL2.1-re20090625.0/ia64/ia64/RHNTools/spacewalk-koan-0.1.11-9.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/i386/i386-global/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/i386/i386/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/ia64/ia64-global/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/ia64/ia64/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/ppc/ppc-global/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/ppc/ppc/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/s390/s390-global/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/s390/s390/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/s390x/s390x-global/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/s390x/s390x/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/x86_64/x86_64-global/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r--  37 apache apache 17999 Jun 20 06:14 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL3-re20090625.0/x86_64/x86_64/RHNTools/spacewalk-koan-0.1.11-9.el3sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/i386/i386-global/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/i386/i386/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/ia64/ia64-global/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/ia64/ia64/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/ppc/ppc-global/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/ppc/ppc/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/s390/s390-global/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/s390/s390/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/s390x/s390x-global/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/s390x/s390x/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/x86_64/x86_64-global/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 198 apache apache 17067 Jun 12 03:49 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL4-re20090625.0/x86_64/x86_64/RHNTools/spacewalk-koan-0.1.11-9.el4sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/i386/i386-global/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/i386/i386/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/ia64/ia64-global/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/ia64/ia64/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/ppc/ppc-global/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/ppc/ppc/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/s390x/s390x-global/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/s390x/s390x/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/x86_64/x86_64-global/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm
-rw-r--r-- 164 apache apache 17957 Jun 12 03:29 /mnt/redhat/devel/candidate-trees/RHN-Tools-5.3.0-RHEL5-re20090625.0/x86_64/x86_64/RHNTools/spacewalk-koan-0.1.11-9.el5sat.noarch.rpm

It seems that is it presented in every channel where it should be presented.
Comment 8 Tomas Lestach 2009-08-20 04:02:08 EDT
spacewalk-koan present in rhn.stage channels:

- spacewalk-koan-0.1.11-12.el3sat.noarch.rpm:
Red Hat Network Tools for RH Desktop 3 (i386) 
Red Hat Network Tools for RH Desktop 3 (x86_64) 
Red Hat Network Tools for RHEL 3 AS (i386) 
Red Hat Network Tools for RHEL 3 AS (ia64) 
Red Hat Network Tools for RHEL 3 AS (x86_64) 
Red Hat Network Tools for RHEL 3 ES (i386) 
Red Hat Network Tools for RHEL 3 ES (ia64) 
Red Hat Network Tools for RHEL 3 ES (x86_64) 
Red Hat Network Tools for RHEL 3 WS (i386) 
Red Hat Network Tools for RHEL 3 WS (ia64) 
Red Hat Network Tools for RHEL 3 WS (x86_64) 
Red Hat Network Tools for RHEL AS (v. 3 for iSeries and pSeries) 
Red Hat Network Tools for RHEL AS (v. 3 for S/390) 
Red Hat Network Tools for RHEL AS (v. 3 for zSeries)

- spacewalk-koan-0.1.11-12.el4sat.noarch.rpm
Red Hat Network Tools for RH Desktop (v.4 for AMD64?Intel EM64T) 
Red Hat Network Tools for RH Desktop (v.4 for x86) 
Red Hat Network Tools for RHEL AS (v. 4 for 31-bit IBM S/390) 
Red Hat Network Tools for RHEL AS (v. 4 for 64-bit IBM POWER) 
Red Hat Network Tools for RHEL AS (v. 4 for 64-bit IBM zSeries) 
Red Hat Network Tools for RHEL AS (v.4 for AMD64/Intel EM64T) 
Red Hat Network Tools for RHEL AS (v.4 for Itanium) 
Red Hat Network Tools for RHEL AS (v.4 for x86) 
Red Hat Network Tools for RHEL ES (v.4 for AMD64/Intel EM64T) 
Red Hat Network Tools for RHEL ES (v.4 for Itanium) 
Red Hat Network Tools for RHEL ES (v.4 for x86) 
Red Hat Network Tools for RHEL WS (v.4 for AMD64/Intel EM64T) 
Red Hat Network Tools for RHEL WS (v.4 for Itanium) 
Red Hat Network Tools for RHEL WS (v.4 for x86)

- spacewalk-koan-0.1.11-12.el5sat.noarch.rpm:
Red Hat Network Tools for RHEL (v. 5 64-bit IBM System z) 
Red Hat Network Tools for RHEL (v. 5 for 64-bit IBM POWER) 
Red Hat Network Tools for RHEL Client (v.5 32-bit x86) 
Red Hat Network Tools for RHEL Client (v.5 64-bit x86_64) 
Red Hat Network Tools for RHEL Server (v.5 32-bit x86) 
Red Hat Network Tools for RHEL Server (v.5 64-bit Itanium) 
Red Hat Network Tools for RHEL Server (v.5 64-bit x86_64)


rhn-tools-rhel-2.1 channels not available on rhn.stage anymore

Stage validated -> RELEASE_PENDING
Comment 9 Brandon Perkins 2009-09-10 14:16:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.